<?php
defined('_JEXEC') or die('Restricted access');

class JElementZooFilename extends JElement {

    var $_name = 'ZooFilename';

    function fetchElement($name, $value, &$node, $control_name) {

        $layout_name = str_replace('layout_', '', $node->attributes('name'));

        $zoo = App::getInstance('zoo');
        $templateName = $zoo->zoo->getApplication()->getTemplate()->name;
        $zoo_application_path = $zoo->path->path('media:zoo/applications');
        
        $template_dir = dirname(__FILE__);
        $template_dir = str_replace($zoo_application_path, '', JPath::clean($template_dir));
        $template_dir = explode(DS, $template_dir);
        $template_dir = $template_dir[1];
        
        $path = $zoo_application_path. '/'.$template_dir.'/templates/'.$templateName.'/renderer/'.$layout_name;
        $path = JPath::clean($path);
        
        $options = array();
        
        $options[] = JHTML::_('select.option', '__auto__', JText::_('AUTOSELECT'));
        if (is_dir($path)) {
            foreach (JFolder::files($path, '^([-_A-Za-z0-9\.]*)\.php$', false, false, array('.svn', 'CVS')) as $tmpl) {
                $tmpl = basename($tmpl, '.php');
                $options[] = JHTML::_('select.option', $tmpl, $tmpl);
            }
        }

        return JHTML::_('select.genericlist', $options, $control_name.'['.$name.']', '', 'value', 'text', $value);
    }

}